//
//  Document.swift
//  Browse
//
//  Created by Javier Cicchelli on 13/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import Foundation

struct Document: FileSystemItem {
    
    // MARK: Properties
    
    public let id: String
    public let name: String
    public let contentType: String
    public let size: Int
    public let lastModifiedAt: Date

    // MARK: Initialisers
    
    public init(
        id: String,
        name: String,
        contentType: String,
        size: Int,
        lastModifiedAt: Date
    ) {
        self.id = id
        self.name = name
        self.contentType = contentType
        self.size = size
        self.lastModifiedAt = lastModifiedAt
    }

}
